Bug 977695 - SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/unbound.
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:556140b53c7603e8520ff9bea51...
:
: 1000724 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 03:25 EDT by James Heather
Modified: 2013-10-25 06:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 06:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Heather 2013-06-25 03:25:27 EDT
Description of problem:
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/unbound.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that httpd should be allowed search access on the unbound directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep /usr/sbin/httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:named_conf_t:s0
Target Objects                /etc/unbound [ dir ]
Source                        /usr/sbin/httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.4-6.fc19.x86_64
Target RPM Packages           unbound-libs-1.4.20-9.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-54.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-301.fc19.x86_64 #1 SMP Mon
                              Jun 17 14:26:26 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-06-18 09:47:14 BST
Last Seen                     2013-06-25 09:15:43 BST
Local ID                      159af943-7d6c-4cb1-9a3e-09b1039787b8

Raw Audit Messages
type=AVC msg=audit(1372148143.381:437): avc:  denied  { search } for  pid=2180 comm="/usr/sbin/httpd" name="unbound" dev="dm-2" ino=12584942 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:named_conf_t:s0 tclass=dir


type=SYSCALL msg=audit(1372148143.381:437): arch=x86_64 syscall=stat success=no exit=ENOENT a0=7f4b2141ca70 a1=7fff1209a330 a2=7fff1209a330 a3=fffffe00 items=0 ppid=1757 pid=2180 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 ses=4294967295 tty=(none) comm=/usr/sbin/httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: /usr/sbin/httpd,httpd_t,named_conf_t,dir,search

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.6-301.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-26 11:24:19 EDT
Did it happen by default or did you setup it?
Comment 2 James Heather 2013-06-26 11:57:46 EDT
Not quite sure what you mean. I set httpd up in the usual way, installed phpMyAdmin and a couple of other bits (all from Fedora RPMs), and configured a virtual directory to point to my web site. It's not located in /etc/unbound, though, which is a directory I've never heard of.
Comment 3 Lukas Vrabec 2013-08-26 06:44:29 EDT
*** Bug 1000724 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2013-08-29 02:50:43 EDT
Did it happen again?

Note You need to log in before you can comment on or make changes to this bug.